package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("organization")
public class Organization extends Model<Organization> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    /**
     * 机构名称
     */
    @TableField("name_")
    private String name;
    /**
     * 机构编码
     */
    @TableField("area_id_")
    private Integer areaId;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 是否删除  -1：已删除  0：正常
     */
    @TableField("del_flag_")
    private String delFlag;
    /**
     * 成立日期
     */
    @TableField("register_date_")
    private Date registerDate;
    /**
     * 联系人
     */
    @TableField("linkman_")
    private String linkman;
    /**
     * 联系方式
     */
    @TableField("mobile_")
    private String mobile;
    /**
     * 地址
     */
    @TableField("address_")
    private String address;


    public Integer getId() {
        return id;
    }

    public Organization setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getName() {
        return name;
    }

    public Organization setName(String name) {
        this.name = name;
        return this;
    }

    public Integer getAreaId() {
        return areaId;
    }

    public Organization setAreaId(Integer areaId) {
        this.areaId = areaId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Organization setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public Organization setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public Organization setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public Organization setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
        return this;
    }

    public String getLinkman() {
        return linkman;
    }

    public Organization setLinkman(String linkman) {
        this.linkman = linkman;
        return this;
    }

    public String getMobile() {
        return mobile;
    }

    public Organization setMobile(String mobile) {
        this.mobile = mobile;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public Organization setAddress(String address) {
        this.address = address;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Organization{" +
        ", id=" + id +
        ", name=" + name +
        ", areaId=" + areaId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", delFlag=" + delFlag +
        ", registerDate=" + registerDate +
        ", linkman=" + linkman +
        ", mobile=" + mobile +
        ", address=" + address +
        "}";
    }
}
